PETSc version 3.17.4
Fix/Edit manual page

# SNESMultiblockSetBlockSize

Sets the block size for structured mesh block division. If not set the matrix block size is used.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetBlockSize(SNES snes, PetscInt bs)

Logically Collective on SNES

### Input Parameters

| snes | - the solver context
| bs | - the block size

### See Also

SNESMultiblockGetSubSNES(), SNESMULTIBLOCK, SNESMultiblockSetFields()

### Level

intermediate

### Location

src/snes/impls/multiblock/multiblock.c

### Implementations

SNESMultiblockSetBlockSize_Default in src/snes/impls/multiblock/multiblock.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages